SSL Weak Cipher Suites Supported

medium Nessus Plugin ID 26928
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote service supports the use of weak SSL ciphers.

Description

The remote host supports the use of SSL ciphers that offer weak encryption.

Note: This is considerably easier to exploit if the attacker is on the same physical network.

Solution

Reconfigure the affected application, if possible to avoid the use of weak ciphers.

See Also

http://www.nessus.org/u?6527892d

Plugin Details

Severity: Medium

ID: 26928

File Name: ssl_weak_supported_ciphers.nasl

Version: 1.31

Type: remote

Family: General

Published: 10/8/2007

Updated: 2/3/2021

Dependencies: ssl_supported_ciphers.nasl

Risk Information

CVSS Score Source: manual

CVSS Score Rationale: Score based on an analysis of the vulnerability by tenable.

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:N

CVSS v3

Risk Factor: Medium

Base Score: 5.3

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Vulnerability Information

Reference Information

CWE: 326, 327, 720, 753, 803, 928, 934